Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84999 - Numerous references to "KAppfinder", which is not packaged.
Summary: Numerous references to "KAppfinder", which is not packaged.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdebase
Version: phoebe
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 20:08 UTC by Peter van Egdom
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 17:02:00 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2003-02-24 20:08:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
Throughout Phoebe 8.0.94 there are numerous references to a KDE component called
"kappfinder".

It's absence might be explained by the Bluecurvization of both the KDE & the
GNOME desktop-environments.

Whatever the reason, there are still some traces of it left, and from a
user-point-of-view, it would be logical to :

a) Put "KAppfinder" back in kdebase.
   - OR -
b) Remove all traces of KAppfinder.

One of it's traces can be found by starting Konqueror in KDE and entering the
following URL :

    vfolder:/start-here.menu/Start Here/Preferences/

At this URL you can find mention of the app KAppfinder, which does not exist;
clicking it's icon returns "could not find KAppfinder executable" to the user.

More traces of KAppfinder can be found using the command :

"for i in *.rpm; do rpm -qpil $i |grep -i kappf && echo $i; done"

in a directory with all the RPMS from the Phoebe 8.0.94 install CD's (see
additional information).

BTW, I'm using "kdebase-3.1-7"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start KDE, start Konqueror, enter:
   "vfolder:/start-here.menu/Start Here/Preferences/" in the URL bar.

2. "for i in *.rpm; do rpm -qpil $i |grep -i kappf && echo $i; done"
    on a directory with all the Phoebe 8.0.94 RPM's.
3.
    

Actual Results:  Traces of KAppfinder found.

Expected Results:  KAppfinder should be included in kdebase-3.1-x

   -OR-

All traces of KAppfinder should be deleted.

Additional info:

/usr/share/icons/Locolor/16x16/apps/kappfinder.png
/usr/share/icons/Locolor/32x32/apps/kappfinder.png
/usr/share/icons/kdeclassic/16x16/apps/kappfinder.png
/usr/share/icons/kdeclassic/32x32/apps/kappfinder.png
/usr/share/icons/kdeclassic/48x48/apps/kappfinder.png
kdeartwork-3.1-1.i386.rpm

/usr/share/applications/kde-kappfinder.desktop
/usr/share/icons/crystalsvg/128x128/apps/kappfinder.png
/usr/share/icons/crystalsvg/16x16/apps/kappfinder.png
/usr/share/icons/crystalsvg/32x32/apps/kappfinder.png
/usr/share/icons/crystalsvg/48x48/apps/kappfinder.png
/usr/share/icons/crystalsvg/64x64/apps/kappfinder.png
kdebase-3.1-7.i386.rpm

/usr/share/locale/af/LC_MESSAGES/kappfinder.mo
kde-i18n-Afrikaans-3.1-2.noarch.rpm

/usr/share/locale/pt_BR/LC_MESSAGES/kappfinder.mo
kde-i18n-Brazil-3.1-2.noarch.rpm

/usr/share/locale/en_GB/LC_MESSAGES/kappfinder.mo
kde-i18n-British-3.1-2.noarch.rpm

/usr/share/locale/ca/LC_MESSAGES/kappfinder.mo
kde-i18n-Catalan-3.1-2.noarch.rpm

/usr/share/locale/zh_CN/LC_MESSAGES/kappfinder.mo
kde-i18n-Chinese-3.1-2.noarch.rpm

/usr/share/locale/zh_TW/LC_MESSAGES/kappfinder.mo
kde-i18n-Chinese-Big5-3.1-2.noarch.rpm

/usr/share/locale/cs/LC_MESSAGES/kappfinder.mo
kde-i18n-Czech-3.1-2.noarch.rpm

/usr/share/locale/da/LC_MESSAGES/kappfinder.mo
kde-i18n-Danish-3.1-2.noarch.rpm

/usr/share/locale/nl/LC_MESSAGES/kappfinder.mo
kde-i18n-Dutch-3.1-2.noarch.rpm

/usr/share/locale/et/LC_MESSAGES/kappfinder.mo
kde-i18n-Estonian-3.1-2.noarch.rpm

/usr/share/locale/fi/LC_MESSAGES/kappfinder.mo
kde-i18n-Finnish-3.1-2.noarch.rpm

/usr/share/locale/fr/LC_MESSAGES/kappfinder.mo
kde-i18n-French-3.1-2.noarch.rpm

/usr/share/locale/de/LC_MESSAGES/kappfinder.mo
kde-i18n-German-3.1-2.noarch.rpm

/usr/share/locale/el/LC_MESSAGES/kappfinder.mo
kde-i18n-Greek-3.1-2.noarch.rpm

/usr/share/locale/he/LC_MESSAGES/kappfinder.mo
kde-i18n-Hebrew-3.1-2.noarch.rpm

/usr/share/locale/hu/LC_MESSAGES/kappfinder.mo
kde-i18n-Hungarian-3.1-2.noarch.rpm

/usr/share/locale/is/LC_MESSAGES/kappfinder.mo
kde-i18n-Icelandic-3.1-2.noarch.rpm

/usr/share/locale/it/LC_MESSAGES/kappfinder.mo
kde-i18n-Italian-3.1-2.noarch.rpm

/usr/share/locale/ja/LC_MESSAGES/kappfinder.mo
kde-i18n-Japanese-3.1-2.noarch.rpm

/usr/share/locale/ko/LC_MESSAGES/kappfinder.mo
kde-i18n-Korean-3.1-2.noarch.rpm

/usr/share/locale/nb/LC_MESSAGES/kappfinder.mo
kde-i18n-Norwegian-3.1-2.noarch.rpm

/usr/share/locale/nn/LC_MESSAGES/kappfinder.mo
kde-i18n-Norwegian-Nynorsk-3.1-2.noarch.rpm

/usr/share/locale/pl/LC_MESSAGES/kappfinder.mo
kde-i18n-Polish-3.1-2.noarch.rpm

/usr/share/locale/pt/LC_MESSAGES/kappfinder.mo
kde-i18n-Portuguese-3.1-2.noarch.rpm

/usr/share/locale/ro/LC_MESSAGES/kappfinder.mo
kde-i18n-Romanian-3.1-2.noarch.rpm

/usr/share/locale/ru/LC_MESSAGES/kappfinder.mo
kde-i18n-Russian-3.1-2.noarch.rpm

/usr/share/locale/sr/LC_MESSAGES/kappfinder.mo
kde-i18n-Serbian-3.1-2.noarch.rpm

/usr/share/locale/sk/LC_MESSAGES/kappfinder.mo
kde-i18n-Slovak-3.1-2.noarch.rpm

/usr/share/locale/sl/LC_MESSAGES/kappfinder.mo
kde-i18n-Slovenian-3.1-2.noarch.rpm

/usr/share/locale/es/LC_MESSAGES/kappfinder.mo
kde-i18n-Spanish-3.1-2.noarch.rpm

/usr/share/locale/sv/LC_MESSAGES/kappfinder.mo
kde-i18n-Swedish-3.1-2.noarch.rpm

/usr/share/locale/tr/LC_MESSAGES/kappfinder.mo
kde-i18n-Turkish-3.1-2.noarch.rpm

/usr/share/locale/uk/LC_MESSAGES/kappfinder.mo
kde-i18n-Ukrainian-3.1-2.noarch.rpm

/usr/share/icons/Bluecurve/16x16/apps/kappfinder.png
/usr/share/icons/Bluecurve/32x32/apps/kappfinder.png
/usr/share/icons/Bluecurve/48x48/apps/kappfinder.png
redhat-artwork-0.65-1.i386.rpm

Comment 1 Ngo Than 2003-02-25 17:02:00 UTC
all traces of KAppfinder in kdebase are now removed. kdebase-3.1-11 or later has
this fix.


Note You need to log in before you can comment on or make changes to this bug.